<template>
  <div id="signup">
    <div class="divlogin">
   
        <div class="container">
          <div class="box">
            <form>
              <input
                v-model="username"
                type="text"
                placeholder="nombre"
                 required
              />
              <input
                v-model="email"
                type="email"
                placeholder="Email"
                 required
              />

              <input
                v-model="password"
                type="password"
               
                placeholder="Contraseña"
                 required
              />
              <!--                  <div v-if="password.length > 1 && password.length < 6 " class="text-denger">password dont match</div>
 -->

              <input
                v-model="validaRepetPassword"
                id="validaRepetPassword"
                type="password"
                placeholder="Repitir Contraseña"
                required
              />
              <!--           <div v-if="password !=validaRepetPassword" class="text-denger">password dont match</div>
 -->

              <input
                @click="btnAccept"
                type="submit"
                value=" Accept"
               
              />
            </form>
       
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "SignUp",
  date() {
    return {
      username: null,
      email: null,
      password: null,
      validaRepetirPassword: null
    };
  },

  methods: {
    btnAccept() {
      this.$emit(
        "accept",
        this.username,
        this.email,
        this.password,
        this.validaRepetirPassword
      );
    }
  }
};
</script>

<style scoped>
#signup{
width: 0px;
    height: 220px;
};



.container .glyphicon-list-alt {
  font-size: 10rem;
  margin-top: 3rem;
  color: #f96145;
}

input {
  width: 100%;
  margin-bottom: 1.4rem;
  padding: 1rem;
  background-color: #ecf2f4;
  border-radius: 0.2rem;
  border: none;
}
h2 {
  margin-bottom: 3rem;
  font-weight: bold;
  color: #ababab;
}
.btn {
  border-radius: 0.2rem;
}
.btn .glyphicon {
  font-size: 3rem;
  color: #fff;
}


.box {
  top: 775px;
  position: absolute;
  bottom: 0;
  left: 0;
  margin-bottom: 3rem;
  margin-left: 3rem;
  margin-right: 3rem;
  width: 300px;
    border-left-width: 0px;
    margin-left: 215px;
    margin-top: 0px;
    margin-bottom: 0px;
    border-top-width: 0px;
    margin-left: 421px;
    width: 400px;
}






</style>
